version: '3.1'
services:
  calculator-service:
    image: registry.gitlab.com/asindividual/e-commerce/calculator-service/${BRANCH}:${TAG}
    container_name: calculator-service
    env_file: docker-compose.env
    ports:
      - 8187:8187
    networks:
      - ecomnetwork
    working_dir: /opt/app
    command: ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/calculator-service.jar"]

networks:
  services:
    external:
      name: ecomnetwork
